Bug 225124 - x11/gnome-pie: unbreak build with vala 0.36
Summary: x11/gnome-pie: unbreak build with vala 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks: 221941
  Show dependency treegraph
 
Reported: 2018-01-12 22:27 UTC by Carlos J. Puga Medina
Modified: 2018-01-24 07:21 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments
patch (2.26 KB, patch)
2018-01-12 22:27 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2018-01-12 22:27:45 UTC
Created attachment 189670 [details]
patch

/wrkdirs/usr/ports/x11/gnome-pie/work/Gnome-Pie-0.5.7/src/utilities/color.vala:52.9-52.47: error: use `new' operator to create new objects
        Color.from_rgba(red, green, blue, 1.0f);
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
/wrkdirs/usr/ports/x11/gnome-pie/work/Gnome-Pie-0.5.7/src/utilities/color.vala:44.9-44.40: error: use `new' operator to create new objects
        Color.from_rgb(1.0f, 1.0f, 1.0f);
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
/wrkdirs/usr/ports/x11/gnome-pie/work/Gnome-Pie-0.5.7/src/utilities/color.vala:71.9-76.9: error: use `new' operator to create new objects
/wrkdirs/usr/ports/x11/gnome-pie/work/Gnome-Pie-0.5.7/src/utilities/color.vala:86.9-86.29: error: use `new' operator to create new objects
        Color.from_gdk(color);
        ^^^^^^^^^^^^^^^^^^^^^
/wrkdirs/usr/ports/x11/gnome-pie/work/Gnome-Pie-0.5.7/src/utilities/color.vala:124.9-124.91: error: use `new' operator to create new objects
        Color.from_rgb((float)(rtotal/total), (float)(gtotal/total), (float)(btotal/total));
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

build log: http://pb2.nyi.freebsd.org/data/111i386-default-PR221941/2018-01-09_20h28m24s/logs/gnome-pie-0.5.7.log
Comment 1 commit-hook freebsd_committer 2018-01-24 07:21:40 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:21:27 UTC 2018
New revision: 459820
URL: https://svnweb.freebsd.org/changeset/ports/459820

Log:
  Fix build of x11/gnome-pie with vala 0.36

  PR:		225124, 221941
  Submitted by:	cpm
  Approved by:	nivit (maintainer, via private email)

Changes:
  head/x11/gnome-pie/files/patch-src__utilities__color.vala